> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> Stickers extension : Get settings for Stickers extension.

# Stickers extension Get settings

For the complete error reference, see [Error Guide](/rest-api/management-apis/error-codes).


## OpenAPI

````yaml get /apps/{appId}/extensions/stickers/v1/settings
openapi: 3.0.0
info:
  title: Management APIs (Multi-Tenancy)
  description: Create and manage apps on-the-fly using our app management APIs
  version: '1.0'
servers:
  - url: https://apimgmt.cometchat.io
security: []
tags:
  - name: App
    description: The Rest collection for app.
  - name: Extensions
    description: The REST collections for extensions.
  - name: Extensions
    description: The REST collections for Chat widgets.
  - name: Extensions
    description: The REST collections for Giphy extension.
  - name: Extensions
    description: The REST collections for XSS Filter extension.
  - name: Extensions
    description: The REST collections for Image Moderation extension.
  - name: Extensions
    description: The REST collections for Report user extension.
  - name: Extensions
    description: The REST collections for Report message extension.
  - name: Extensions
    description: The REST collections for Sentiment analysis extension.
  - name: Extensions
    description: The REST collections for Voice transcription extension.
  - name: Extensions
    description: The REST collections for Stipop extension.
  - name: Extensions
    description: The REST collections for TinyURL extension.
  - name: Extensions
    description: The REST collections for Intercom extension.
  - name: Extensions
    description: The REST collections for Bitly extension.
  - name: Extensions
    description: The REST collections for Rich media preview extension.
  - name: Extensions
    description: The REST collections for Virus Malware Scanner extension.
  - name: Extensions
    description: The REST collections for Video Broadcasting extension.
  - name: Extensions
    description: The REST collections for Tenor gifs extension.
  - name: Extensions
    description: The REST collections for End-to-end encryption extension.
  - name: Extensions
    description: The REST collections for In-flight message moderation extension.
  - name: Extensions
    description: The REST collections for Stickers extension.
  - name: Extensions
    description: The REST collections for Data masking extension.
  - name: Extensions
    description: The REST collections for Email replies extension.
  - name: Extensions
    description: The REST collections for SMS Notification extension.
  - name: Extensions
    description: The REST collections for Push notification extension.
  - name: Extensions
    description: The REST collections for Chatwoot extension.
  - name: Extensions
    description: The REST collections for Message shortcuts extension.
  - name: Extensions
    description: The REST collections for Email Notification extension.
  - name: Team Management
    description: The REST collections for team management.
  - name: Settings
    description: The REST collections for Settings.
  - name: Extensions
    description: The REST collections for Profanity-filter extension.
  - name: Webhooks
    description: The REST collections for Webhooks.
  - name: Moderation
    description: The REST collections for Moderations.
paths:
  /apps/{appId}/extensions/stickers/v1/settings:
    get:
      tags:
        - Extensions
      summary: Stickers extension Get settings
      description: 'Stickers extension : Get settings for Stickers extension.'
      operationId: get-settings-stickers
      parameters:
        - $ref: '#/components/parameters/key'
        - $ref: '#/components/parameters/secret'
        - $ref: '#/components/parameters/appId'
      responses:
        '200':
          description: Get Stickers Settings
          content:
            application/json:
              schema:
                properties:
                  data:
                    properties:
                      '':
                        $ref: '#/components/schemas/stickersGetSchema'
                    type: object
                type: object
              example:
                data:
                  statusCode: 200
                  success: true
                  responseTime: 3.061743974685669
                  body:
                    data:
                      settings:
                        appId: 10419c7658224
                        dropMessage: false
                        customMasterStickersData: []
                        defaultMasterStickersData:
                          - stickerName: litt_14.png
                            stickerOrder: 14
                            stickerSetId: 7efe9cbd-7789-4095-ae37-88b144aaec70
                            stickerSetName: little dyno
                            stickerSetOrder: 7
                            stickerUrl: >-
                              https://data-us.cometchat.io/stickers/littledyno/litt_14.png
                            id: fb24136a-abd0-4302-866d-c754410afc20
                            enableFlag: true
components:
  parameters:
    key:
      name: key
      in: header
      description: Authorization Key
      required: true
      schema:
        type: string
    secret:
      name: secret
      in: header
      description: Authorization Secret
      required: true
      schema:
        type: string
    appId:
      name: appId
      in: path
      description: AppID in which the extension has to be enabled/disabled
      required: true
      schema:
        type: string
  schemas:
    stickersGetSchema:
      properties:
        statusCode:
          type: integer
        success:
          type: boolean
        responseTime:
          type: number
        body:
          properties:
            data:
              properties:
                settings:
                  properties:
                    dropMessage:
                      type: boolean
                    defaultMasterStickersData:
                      type: array
                      items:
                        properties:
                          enableFlag:
                            type: boolean
                          stickerName:
                            type: string
                          stickerOrder:
                            type: number
                          stickerSetId:
                            type: string
                          stickerSetOrder:
                            type: number
                          stickerSetName:
                            type: string
                          stickerUrl:
                            type: string
                        type: object
                    customStickersData:
                      type: array
                      items:
                        properties:
                          appId:
                            type: string
                          enableFlag:
                            type: boolean
                          stickerName:
                            type: string
                          stickerOrder:
                            type: number
                          stickerOrderCount:
                            type: number
                          stickerSetId:
                            type: string
                          stickerSetOrder:
                            type: number
                          stickerSetName:
                            type: string
                          stickerUrl:
                            type: string
                        type: object
                  type: object
              type: object
          type: object
      type: object

````